import std.file;
import std.string;


class File
{
    this(string filepath) { filePath = filepath; }


    bool Readed() { return (fileContent is null)? false : true; }
    
    void Read() { fileContent = cast(string)std.file.read(filePath); }

    void Write(string content) { std.file.write(filePath, content); }

    string Content() { if (!Readed()) Read(); return fileContent; }

    string[] Lines() { if (!Readed()) Read(); return std.string.splitlines(fileContent); }
    

    static File Load(string filepath)
    {
        File f = new File(filepath);
        f.Read();
        return f;
    }

    
    static void Write(string filepath, string content)
    {
        File f = new File(filepath);
        f.Write(content);
    }


    private:
        string filePath;
        string fileContent = null;
}

